process MERGEKMER {
    tag "$meta.id"
    label 'big_mem_mono_cpus'
    publishDir "results/${meta.specie}/${meta.sex}/${meta.read}/", mode: 'copy'

    container "lbmc/mergekmer:0.1.1"

    input:
    tuple val(meta), path(csv)

    output:
    tuple val(meta), path("*.csv"), emit: csv
    path "versions.yml"           , emit: versions

    script:
    def args = task.ext.args ?: ''
    """
    mergekmer --csv ${csv} --output ${meta.id}.csv


    cat <<-END_VERSIONS > versions.yml
    "${task.process}":
        mergekmer: \$(echo \$(mergekmer --version 2>&1))
    END_VERSIONS
    """
}

process COLLATEKMER {
    tag "$csv"
    label 'big_mem_mono_cpus'
    publishDir "results/", mode: 'copy'

    container "lbmc/mergekmer:0.1.1"

    input:
    path(csv)

    output:
    path("*.csv"), emit: csv
    path "versions.yml", emit: versions

    script:
    def args = task.ext.args ?: ''
    """
    mergekmer --csv ${csv} --output fusion.csv --collate


    cat <<-END_VERSIONS > versions.yml
    "${task.process}":
        mergekmer: \$(echo \$(mergekmer --version 2>&1))
    END_VERSIONS
    """
}
